Subject: Re: [PATCH] do not use locale specific strftime when preparing 2822 date

From: Jakub Narebski <[email-masked]>
Date: Fri, 07 Jul 2006 21:53:11 +0200

Junio C Hamano wrote:

> Jakub Narebski <[email-masked]> writes:
> 
>> It looks like it is _almost_ correct. It should be
>>   Date: Fri, 07 Jul 2006 20:57:55 +0200
>> instead of
>>   Date: Fri,  7 Jul 2006 20:57:55 +0200
>>
>> It is "day = ([FWS] 1*2DIGIT) / obs-day" in RFC2822.
> 
> I think you are reading ABNF wrong. [...]
> 
> See the definition of "hour" and friends a few lines below what
> you quoted.  It is defined as "2DIGIT / obs-hour" and that is
> why we say "01:23:45" not "1:23:45"

But it is "day = [...] 2DIGIT [...]"! 

Besides, that what other mailers do (I checked the post I replied via
git-send-email to, i.e. your post). Although I don't think that it can
cause any problems, like using locale date with non US-ASCII characters
did...

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git